﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

namespace Vol3MVCsampleSQL.Models
{
    public class TaskDataContext
    {
        public class TaskDetails
        {
            private string privateStartDate;
            public string StartDate
            {
                get { return privateStartDate; }
                set { privateStartDate = value; }
            }
            private int privateId;
            public int Id
            {
                get { return privateId; }
                set { privateId = value; }
            }
            private string privateName;
            public string Name
            {
                get { return privateName; }
                set { privateName = value; }
            }
            private int privateDuration;
            public int Duration
            {
                get { return privateDuration; }
                set { privateDuration = value; }
            }
            private int privatePercentDone;
            public int PercentDone
            {
                get { return privatePercentDone; }
                set { privatePercentDone = value; }
            }
            private List<TaskDetails> privateChildren;
            public List<TaskDetails> Children
            {
                get { return privateChildren; }
                set { privateChildren = value; }
            }
            private string privatePredescessor;
            public string Predescessor
            {
                get { return privatePredescessor; }
                set { privatePredescessor = value; }
            }
        }

        public static List<TaskDetails> GetTaskData()
        {
            List<TaskDetails> details = new List<TaskDetails>();
            details.Add(new TaskDetails
            {
                Id = 1,
                Name = "Task 1",
                PercentDone = 50,
                StartDate = "2010-01-17",
                Duration = 5,
                Children = new List<TaskDetails>(new TaskDetails[] {
				new TaskDetails {
					Id = 2,
					Name = "Child Task 1",
					PercentDone = 96,
					StartDate = "2010-01-17",
					Duration = 5
				},
				new TaskDetails {
					Id = 3,
					Name = "Child Task 2",
					PercentDone = 50,
					StartDate = "2010-01-17",
					Duration = 5
				}
			})
            });
            details.Add(new TaskDetails
            {
                Id = 4,
                Name = "Task 4",
                PercentDone = 20,
                StartDate = "2010-01-17",
                Duration = 3,
                Children = new List<TaskDetails>(new TaskDetails[] {
				new TaskDetails {
					Id = 5,
					Name = "Child Task 5",
					PercentDone = 90,
					StartDate = "2010-01-17",
					Duration = 3
				},
				new TaskDetails {
					Id = 6,
					Name = "Child Task 6",
					PercentDone = 25,
					StartDate = "2010-01-17",
					Duration = 2
				}
			})
            });
            details.Add(new TaskDetails
            {
                Id = 7,
                Name = "Task 7",
                PercentDone = 50,
                StartDate = "2010-01-17",
                Duration = 5,
                Children = new List<TaskDetails>(new TaskDetails[] {
				new TaskDetails {
					Id = 8,
					Name = "Child Task 8",
					PercentDone = 70,
					StartDate = "2010-01-17",
					Duration = 1
				},
				new TaskDetails {
					Id = 9,
					Name = "Child Task 9",
					PercentDone = 45,
					StartDate = "2010-01-17",
					Duration = 4
				}
			})
            });
            return details;
        }
    }
}